当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助:ubuntu10.10刚刚升级之后VirtualBox4.0用不了了。
帖子发表于 : 2011-03-08 15:02 

注册: 2011-02-08 19:49
帖子: 525
送出感谢: 0 次
接收感谢: 1
卸载重装VirtualBox也没用,启动虚拟机提示信息如下:

Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. Users of Ubuntu, Fedora or Mandriva should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.

DKMS package已经从新立得里面安装了,不管用。比病毒还恐怖的Ubuntu升级啊,怎么恢复使用VirtualBox?请大家指点一下迷津。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助:ubuntu10.10刚刚升级之后VirtualBox4.0用不了了。
帖子发表于 : 2011-03-08 15:05 
头像

注册: 2007-06-13 15:57
帖子: 12651
地址: 在他乡
送出感谢: 54
接收感谢: 90
引用:
'/etc/init.d/vboxdrv setup'

as root.

这不是很明显了?
代码:
sudo /etc/init.d/vboxdrv setup


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求助:ubuntu10.10刚刚升级之后VirtualBox4.0用不了了。
帖子发表于 : 2011-03-08 15:09 

注册: 2011-02-08 19:49
帖子: 525
送出感谢: 0 次
接收感谢: 1
试过了,结果如下,没用:

ThinkPad-X200:~$ sudo /etc/init.d/vboxdrv setup
[sudo] password for ***:
sudo: /etc/init.d/vboxdrv: command not found


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求助:ubuntu10.10刚刚升级之后VirtualBox4.0用不了了。
帖子发表于 : 2011-03-08 16:31 

注册: 2011-02-08 19:49
帖子: 525
送出感谢: 0 次
接收感谢: 1
这个问题终于搞定,步骤记录如下,方便后来者:

1、下载virtualbox的安装程序,deb格式的;
2、解压virtualbox.deb;
3、进入解压目录,进入etc/init.d,sudo cp vboxdrv /etc/init.d/;
4、重启ubuntu系统,这一步很重要;
5、sudo /etc/init.d/vboxdrv setup。

重新运行virtualbox,问题解决。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求助:ubuntu10.10刚刚升级之后VirtualBox4.0用不了了。
帖子发表于 : 2011-03-08 16:33 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
直接重装那个deb包算啦,没道理的,vbox我最近用的话,那个dkms非常好用的说,不会出现用不了的


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求助:ubuntu10.10刚刚升级之后VirtualBox4.0用不了了。
帖子发表于 : 2011-03-08 17:58 

注册: 2011-02-08 19:49
帖子: 525
送出感谢: 0 次
接收感谢: 1
leeaman 写道:
直接重装那个deb包算啦,没道理的,vbox我最近用的话,那个dkms非常好用的说,不会出现用不了的


直接重装下载的deb包没用的,我试了很多遍,我现在感觉ubuntu的升级出现的问题真的是莫名其妙,毫无道理可讲。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译